%define upstream_name	 Math-MatrixBool
%define upstream_version 5.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Matrix of Booleans
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector) >= 7.100.0
BuildArch:  noarch

%description
Easy manipulation of matrices of booleans (Boolean Algebra).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install
mv %{buildroot}/%{_mandir}/man3/Math::Kleene.3pm %{buildroot}/%{_mandir}/man3/Math::Kleene-MatrixBool.3pm
mv  %{buildroot}/%{perl_vendorlib}/Math/Kleene.pod \
    %{buildroot}/%{perl_vendorlib}/Math/Kleene-MatrixBool.pod

%files
%doc META.yml
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 5.800.0-13.mga10
+ Revision: 2199593
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 5.800.0-12.mga9
+ Revision: 1804440
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 5.800.0-11.mga8
+ Revision: 1495578
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 5.800.0-10.mga7
+ Revision: 1269235
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 5.800.0-9.mga6
+ Revision: 1029678
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 5.800.0-8.mga6
+ Revision: 944974
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.800.0-7.mga5
+ Revision: 739867
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.800.0-6.mga5
+ Revision: 685368
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.800.0-4.mga3
+ Revision: 369623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 17 2011 jquelin <jquelin> 5.800.0-3.mga1
+ Revision: 53229
- fixing yet another file conflict with perl-Math-MatrixReal

* Wed Feb 16 2011 jquelin <jquelin> 5.800.0-2.mga1
+ Revision: 52681
- allow installation alongside perl-Math-MatrixReal

* Sat Jan 22 2011 jquelin <jquelin> 5.800.0-1.mga1
+ Revision: 32186
- mageia rebuild
- imported package perl-Math-MatrixBool


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 5.800.0-1mdv2010.1
+ Revision: 461328
- update to 5.8

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 5.7-9mdv2010.0
+ Revision: 430500
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 5.7-8mdv2009.0
+ Revision: 241724
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-6mdv2008.0
+ Revision: 86613
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-5mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 5.7-4mdk
- Fix According to perl Policy
	- Source URL
	- BuildRequires

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-3mdk
- spec cleanup
- %%mkrel
- better URL

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-2mdk
- fix buildrequires in a backward compatible way

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-1mdk 
- first mdk release

